Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.samplerows
Class SampleRowsData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.samplerows.SampleRowsData

All Implemented Interfaces:
  StepDataInterface

    public class SampleRowsData

extends BaseStepData
implements StepDataInterface

Since:
  24-jan-2008
Author:
  Samatar

Field Summary
`boolean` | `addlineField`
`int` | `maxLine`
`int` | `NrPrevFields`
`Object[]` | `outputRow`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`org.pentaho.di.core.row.RowMetaInterface` | `previousRowMeta`
`Set<Integer>` | `range`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`SampleRowsData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### range

    public Set<Integer> range

### maxLine

    public int maxLine

### addlineField

    public boolean addlineField

### previousRowMeta

    public org.pentaho.di.core.row.RowMetaInterface previousRowMeta

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### outputRow

    public Object[] outputRow

### NrPrevFields

    public int NrPrevFields

Constructor Detail

### SampleRowsData

    public SampleRowsData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD